Documentation
Worlds

Create world

Create a new world owned by the authenticated user.

PUT
/api/worlds

Authorization

bearer
AuthorizationBearer token

User session token. Obtained from POST /api/auth/login.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X PUT "https://loading/api/worlds" \  -H "Content-Type: application/json" \  -d '{    "title": "My World",    "capacity": 32  }'
{
  "data": {
    "id": 1,
    "title": "My World",
    "description": "A beautiful virtual space",
    "thumbnail": null,
    "tags": [],
    "capacity": 32,
    "release": 1,
    "server": "my-server.com",
    "owner": "1@my-server.com",
    "contributors": [],
    "alias": [
      {
        "key": "iid",
        "value": "1@my-server.com"
      }
    ]
  },
  "error": null,
  "time": 1680000000000,
  "request": "/api/endpoint"
}
{
  "data": null,
  "error": {
    "code": "NOT_FOUND",
    "message": "Resource not found.",
    "status": 404
  },
  "time": 1680000000000,
  "request": "/api/endpoint"
}
{
  "data": null,
  "error": {
    "code": "NOT_FOUND",
    "message": "Resource not found.",
    "status": 404
  },
  "time": 1680000000000,
  "request": "/api/endpoint"
}